<form class="form-common" action="<?= $this->baseUrl() ?>/index/quick-email" method="post" class="form">

<div>
	<? if($this->email): ?>
		<input type="hidden" name="email" value="<?= $this->email ?>" />
	<? elseif($this->ids): ?>
		<? foreach($this->ids as $id):?>
		<input type="hidden" value="<?= $id ?>" name="id[]">
		<? endforeach; ?>
	<? elseif($this->user_ids): ?>
		<? foreach($this->user_ids as $id):?>
		<input type="hidden" value="<?= $id ?>" name="user_id[]">
		<? endforeach; ?>
	<? elseif($this->agency_ids): ?>
		<? foreach($this->agency_ids as $agency_id):?>
		<input type="hidden" value="<?= $agency_id ?>" name="agency_id[]">
		<? endforeach; ?>
	<? endif;?>	
	<div class="inner" style="margin-right:0">		
		<label for="from">From Email</label>
		<input class="txt w20" type="text" id="from" name="from" value="<?= $this->from_email ?>" />
	</div>

	<? if (Cubix_Application::getId() == APP_ED): ?>
	<div class="inner" style="margin-right:0">		
		<label for="from-name">From Name</label>
		<input class="txt w20" type="text" id="from-name" name="from_name" value="<?= $this->sales_user_name?>" />
	</div>
	<? endif; ?>

	<? if ($this->templates): ?>
		<div class="inner">
			<label for="templates">Templates</label>
			<select name="template" id="email_template">
				<option value="">--- Use Template ---&nbsp;&nbsp;</option>
				<? foreach ($this->templates as $template): ?>
					<option value="<?= $template->id ?>"><?= $template->subject ?></option>
				<? endforeach; ?>
			</select>
		</div>

		<div class="clear"></div>
	<? endif; ?>
	
	<div class="inner" style="margin-right:0">		
		<label for="subject">Subject</label>
		<input class="txt w20" type="text" id="subject" name="subject" value="" />
	</div>
	
	<div class="clear"></div>
	
	<div class="inner">
		<label for="message">Message</label>
		<textarea name="message" id="message" class="txt" cols="60" rows="3"></textarea>
	</div>

	<div class="inner">
		<label for="use_email_signature"> <input type="checkbox" checked="checked" name="use_email_signature" id="use_email_signature" value="1" style="vertical-align: middle;" /> <span style="vertical-align: middle;">Use Email Signature</span></label>
	</div>

	<div class="inner">
		<label for="email_signature">Email Signature</label>
		<textarea name="email_signature" id="email_signature" class="txt" cols="60" rows="2"><?= $this->email_signature ?></textarea>
	</div>
	
	<div class="clear"></div>
</div>
</form>
